# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/lib ; rm -rf libpng.a )
( cd usr/lib ; ln -sf libpng14.a libpng.a )
( cd usr/lib ; rm -rf libpng14.so.14 )
( cd usr/lib ; ln -sf libpng14.so.14.8.0 libpng14.so.14 )
( cd usr/lib/pkgconfig ; rm -rf libpng.pc )
( cd usr/lib/pkgconfig ; ln -sf libpng14.pc libpng.pc )
( cd usr/lib ; rm -rf libpng.la )
( cd usr/lib ; ln -sf libpng14.la libpng.la )
( cd usr/lib ; rm -rf libpng.so.14 )
( cd usr/lib ; ln -sf libpng14.so.14 libpng.so.14 )
( cd usr/lib ; rm -rf libpng.so )
( cd usr/lib ; ln -sf libpng14.so libpng.so )
( cd usr/lib ; rm -rf libpng14.so )
( cd usr/lib ; ln -sf libpng14.so.14.8.0 libpng14.so )
( cd usr/bin ; rm -rf libpng-config )
( cd usr/bin ; ln -sf libpng14-config libpng-config )
( cd usr/include ; rm -rf pngconf.h )
( cd usr/include ; ln -sf libpng14/pngconf.h pngconf.h )
( cd usr/include ; rm -rf png.h )
( cd usr/include ; ln -sf libpng14/png.h png.h )
